Subject: RE: [Simple] Presence Data Model: how pres and sip URIs mix & match ?

From: "CORVOYSIER David RD-MAPS-REN" <[email-masked]>
Date: Mon, 18 Oct 2004 14:09:31 +0200

Paul,

Thank you for your not-so-kind answer, but I am afraid it doesn't help
me much ! That said, I have the impression that it wasn't your intent at
all to actually answer my questions ;-) , because, as you pointed out,
our "world views" seems to be different (whatever it means for a blunt
guy like me !) 

Now,

for those like me who live in the middle-age of telecommunications,
where people *do* have separate numbers for phone and fax, I will try to
rephrase the issue I described.

Imagine a user that has registered for two services hosted by two
different entities: for instance, an IM service hosted by an ISP and a
PoC service hosted by a wireless carrier. 

My question is: how can a third-party presence provider aggregate the
presence published by these two services ?

That's what I clusimly tried to solve in my previous post, combining a
pres URI with two SIP URIs representing the respective AORs of the two
services:

Published IM presence:

        <presence xmlns="urn:ietf:params:xml:ns:pidf"
            entity="sip:[email-masked]">
          <tuple id="sg89ae">
            <status>
              <basic>open</basic>
            </status>
            <contact>sip:[email-masked]</contact>
		...
          </tuple>
        </presence>   

Published PTT presence:

        <presence xmlns="urn:ietf:params:xml:ns:pidf"
            entity="sip:[email-masked]">
          <tuple id="sf77ah">
            <status>
              <basic>open</basic>
            </status>
            <contact>sip:[email-masked]</contact>
		...
          </tuple>
        </presence>    
 
Aggregated Presence:

        <presence xmlns="urn:ietf:params:xml:ns:pidf"
            entity="pres:[email-masked]">
          <tuple id="sg89ae">
            <status>
              <basic>open</basic>
            </status>
            <contact>sip:[email-masked]</contact>
		...
          </tuple>
          <tuple id="sf77ah">
            <status>
              <basic>open</basic>
            </status>
            <contact>sip:[email-masked]</contact>
		...
          </tuple>
        </presence>    

Note: As Paul said (but forgot later in his post) you can get rid of the
gruus if you prefer use the AORs ... But I had understood it raised
composition issues !.

Any thoughts ?

David Corvoysier

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple